--Even in bizarro land, scaling remains a constant in any world. -Kid
local tang_height_ratio = SCREEN_HEIGHT/480
local tang_width_ratio = SCREEN_WIDTH/640
return Def.ActorFrame{
  Name= "actor_a",
  Fov= 0,--OnCommand is a function so I can have it be a variable for AFT use. -Kid
  OnCommand= function(self)
    self:x(SCREEN_CENTER_X):y(SCREEN_CENTER_Y):wag():effectmagnitude(0,10,0):effectclock("bgm"):effectoffset(5):effectperiod(1)
	tang_bgcontainer = self;
  end,
  Def.Sprite{
    Name= "actor_b",
    OnCommand= cmd(x,0;y,0),
    Texture= "../itg.png",
  },
  Def.Model{
    Name= "actor_c",
    Bones= "../lua/notmapped.txt",
    InitCommand= function(self) blue_bg = self end,
    Materials= "../lua/notmapped.txt",
    Meshes= "../lua/notmapped.txt",--Added zoomx, scaled zoom. -Kid
    --OnCommand is a function so I can turn of InverseBindPose if it's there. -Kid
    OnCommand= function(self)--Scaled zoom, added zoomx. -Kid
      if self.InverseBindPose then self:InverseBindPose(false) end
      self:x(0):y(0):zoom(5*tang_height_ratio):zoomx(5*tang_width_ratio):texturewrapping(1):wag():effectmagnitude(10,00,0):effectclock("bgm"):effectperiod(5)
    end,
  },
  Def.Model{
    Name= "actor_d",
    Bones= "../lua/spheremapped.txt",
    InitCommand= function(self) blue_bg = self end,
    Materials= "../lua/spheremapped.txt",
    Meshes= "../lua/spheremapped.txt",--OnCommand is a function so I can turn of InverseBindPose if it's there. -Kid
    OnCommand= function(self)--Scaled zoom, added zoomx. -Kid
      if self.InverseBindPose then self:InverseBindPose(false) end
      self:x(0):y(0):zoom(5*tang_height_ratio):zoomx(5*tang_width_ratio):texturewrapping(1):wag():effectmagnitude(0,00,0):effectclock("bgm"):effectperiod(5)
    end,
  },
  Def.Quad{
    Name= "actor_e",
    OnCommand= function(self)
	tang_bgCover=self
	self:x(SCREEN_CENTER_X)
	self:y(SCREEN_CENTER_Y)
	self:diffuse(0,0,0,0)
	self:visible(true)
	self:zoom(10000*tang_height_ratio)--Scaled zoom and zpos. -Kid
	self:z(10*tang_height_ratio)
	end,
  },
}
